## org.w3c.www.webdav
Class DAVIf

    java.lang.Object
      |
      +--org.w3c.www.webdav.DAVIf

public class DAVIf
extends java.lang.Object

Constructor Summary
`DAVIf(java.lang.String resource, java.util.LinkedList taglist)` Public Constructor

Method Summary
`void` `addList(byte[] raw, int start, int end)`
`java.lang.String` `getResource()`
`java.util.ListIterator` `getTokenListIterator()`
`boolean` `hasResource()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DAVIf

    public DAVIf(java.lang.String resource,
                 java.util.LinkedList taglist)

  Public Constructor
  Parameters:
    `resource` - the tagged resource (can be null)
    `taglist` - a List of DAVStateToken and/or DAVEntityTag
  See Also:
    `DAVStateToken`, `DAVEntityTag`

Method Detail

### addList

    public void addList(byte[] raw,
                        int start,
                        int end)
                 throws HttpInvalidValueException

### hasResource

    public boolean hasResource()

### getResource

    public java.lang.String getResource()

### getTokenListIterator

    public java.util.ListIterator getTokenListIterator()